be.ehealth.businessconnector.mycarenet.agreement.builders

## Interface RequestObjectBuilder

- All Known Implementing Classes:
    EncryptedRequestObjectBuilderImpl

      public interface RequestObjectBuilder

  Provides method(s) to create an Agreement WS request. Default impl : `EncryptedRequestObjectBuilderImpl` Factory : `RequestObjectBuilderFactory`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `AskAgreementBuilderRequest` | `buildAskAgreementRequest(boolean isTest, InputReference reference, Patient patientInfo, org.joda.time.DateTime refDate, byte[] messageFHIR)` Creates the request that will be sent to the EHealth Web service and checks validity against the corresponding XSD
    `ConsultAgreementBuilderRequest` | `buildConsultAgreementRequest(boolean isTest, InputReference reference, Patient patientInfo, org.joda.time.DateTime refDate, byte[] messageFHIR)`

- - ### Method Detail

    - #### buildAskAgreementRequest

          AskAgreementBuilderRequest buildAskAgreementRequest(boolean isTest,
                                                              InputReference reference,
                                                              Patient patientInfo,
                                                              org.joda.time.DateTime refDate,
                                                              byte[] messageFHIR)
                                                       throws TechnicalConnectorException,
                                                              AgreementBusinessConnectorException

      Creates the request that will be sent to the EHealth Web service and checks validity against the corresponding XSD
      Parameters:
        `isTest` - indicates if this is a test or not
        `reference` - the reference of the the patient
        `messageFHIR` - the xml who ll be transformed in b64 and maybe encrypted
      Returns:
        the request that need to be sent
      Throws:
        `AgreementBusinessConnectorException` - the Agreement Business connector exception
        `TechnicalConnectorException` - the technical connector exception

    - #### buildConsultAgreementRequest

          ConsultAgreementBuilderRequest buildConsultAgreementRequest(boolean isTest,
                                                                      InputReference reference,
                                                                      Patient patientInfo,
                                                                      org.joda.time.DateTime refDate,
                                                                      byte[] messageFHIR)
                                                               throws TechnicalConnectorException,
                                                                      AgreementBusinessConnectorException

      Throws:
        `TechnicalConnectorException`
        `AgreementBusinessConnectorException`

Connector Packaging PHYSIOTHERAPIST 4.4.0 API
Copyright © {inceptionYear}-2023 eHealth. All Rights Reserved.